#!/bin/sh

drug="pyrazinamide"
gene="pnca"
aa_python="/home/tanu/git/LSHTM_analysis/scripts/aa_index_scripts/aaindex/get_scores.py"
snp_dir="/home/tanu/git/Data/${drug}"
aa_outfile="/home/tanu/git/Data/${drug}/output/aa_index/${gene}_aa"

for i in $(cat ${snp_dir}/output/*mcsm_snps*)
do
   echo -n "${i}," >> $aa_outfile
    python $aa_python $snp_dir/input/pnca_complex.pdb A $i >> $aa_outfile
done
# How I want it to run
#gene = "pncA" # force it to be lowercase
#chain = "A"
#mutfile = "/home/tanu/git/Data/output/<gene>_mcsm_snps.csv"
#mut = for i in mutfile


#$1 = "/home/tanu/git/Data/input/<gene>_complex.pdb
#$2 = chain
#$3 = mut

#python /home/tanu/git/LSHTM_analysis/scripts/aa_index_scripts/aaindex/get_scores.py  $1 $2 $3

